Failed to resolve: com.android.support:appcompat-v7:28.+ 解决办法

新建项目失败,出现:

Failed to resolve: com.android.support:appcompat-v7:28.+

如下图:

报错截图

解决办法:

在project级的build.gradle中添加红框里的内容

build.gradle

错误产生原因:

Starting from version 26 of support libraries make sure that the repositories section includes a maven section with the "https://maven.google.com" endpoint.